petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetLocalToGlobalMapping

Gets the local-to-global numbering set by MatSetLocalToGlobalMapping()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLocalToGlobalMapping(Mat A,ISLocalToGlobalMapping *rmapping,ISLocalToGlobalMapping *cmapping)

Not Collective

### Input Parameters

A -the matrix

### Output Parameters

| rmapping | - row mapping
| cmapping | - column mapping

### See Also

MatSetValuesLocal()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages